/* -*- mode: c++; c-basic-offset: 4; -*- */
#include "gds_shmem.hh"
#include "lsmp_int.hh"
#include <iostream>

using namespace std;

int
main(int argc, const char* argv[]) {
    gds_shmem shm;

    cout << "id        name         nBuf   lBuf" << endl;

    //---------------------------------  Loop over valid IDs
    for (int id=0; id < LSMP_MAXSHM; id++) {
	int shmid = LSMP_SHMBASE + id;
	if (shm.attach(shmid)) {
	    LSMP_global* ptr = reinterpret_cast<LSMP_global*>(shm.ref());
	    cout << shmid << "  " << ptr->name << "  " 
		 << ptr->nbuf << "  " << ptr->lbuf << endl;
	    shm.release();
	}
    }
}
